Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234104 - gnu.xml.dom.DomNode.dispatchEvent NullPointerException
Summary: gnu.xml.dom.DomNode.dispatchEvent NullPointerException
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: jpackage-utils
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Fitzsimmons
QA Contact:
URL: http://gcc.gnu.org/bugzilla/show_bug....
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-27 01:08 UTC by Martin Fong
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-31 23:41:16 UTC


Attachments (Terms of Use)
Exemplar code (deleted)
2007-03-27 16:18 UTC, Martin Fong
no flags Details
Stack trace, system profile, and Java system properties. (deleted)
2007-03-27 16:19 UTC, Martin Fong
no flags Details

Description Martin Fong 2007-03-27 01:08:57 UTC
Actual problem is with libgcj-4.1.1 (which is _not_ listed as a component).
See http://gcc.gnu.org/bugzilla/show_bug.cgi?id=31332 for a complete
description as well as an exemplar Java test case.

Comment 1 Martin Fong 2007-03-27 16:18:29 UTC
Created attachment 151047 [details]
Exemplar code

Run with "java XMLSetNodeValue".

Comment 2 Martin Fong 2007-03-27 16:19:28 UTC
Created attachment 151048 [details]
Stack trace, system profile, and Java system properties.

Comment 3 Tom Tromey 2007-03-28 15:14:50 UTC
This works with the gcj that will be in F7.


Comment 4 Martin Fong 2007-03-28 15:49:08 UTC
(In reply to comment #3)

Will a patch be released for FC6?  (In FC5, there was a bug in libgcj's regex
implementation that was never fixed and so we had to recommend/require that
users of our software install Sun's JVM when using FC5.  Unless FC6's libgcj is
fixed, we'll have to recommend the same for FC6.)


Comment 5 Martin Fong 2007-03-28 20:07:24 UTC
(In reply to comment #3)

I just ran the exemplar code under FC7 (F-6.91-i386) and it failed with a
NullPointerException and produced the same stack trace I previously reported. 
When FC7 Test 3 is available, I'll re-run the test case.  However, I am unable
to confirm that this bug has been eliminated under FC7.


Comment 6 Tom Tromey 2007-03-30 20:47:47 UTC
I just tested rawhide and this is definitely fixed there.
For FC6, I don't know.  Are we still doing update for FC6?
Anyway it would depend on what the fix actually looks like
(I don't know :-)



Note You need to log in before you can comment on or make changes to this bug.